From: Alex Riesen <raa.lkml@gmail.com>
Date: Sun, 12 Feb 2006 18:03:16 +0000 (+0100)
Subject: fix "test: 2: unexpected operator" on bsd
X-Git-Tag: v1.2.0~5
X-Git-Url: https://granicus.if.org/sourcecode?a=commitdiff_plain;h=ef1af9d9afe2f402ad60b054ac529c03c4b79299;p=git

fix "test: 2: unexpected operator" on bsd

Signed-off-by: Junio C Hamano <junkio@cox.net>
---

diff --git a/t/t0000-basic.sh b/t/t0000-basic.sh
index bc3e711a52..c339a366f4 100755
--- a/t/t0000-basic.sh
+++ b/t/t0000-basic.sh
@@ -33,7 +33,7 @@ then
 fi
 
 merge >/dev/null 2>/dev/null
-if test $? == 127
+if test $? = 127
 then
 	echo >&2 'You do not seem to have "merge" installed.
 Please check INSTALL document.'